<?xml version="1.0" encoding="UTF-8"?>

<plugin
	id="com.apokalypsesoftware.temporis.TPUserInterface"
	name="Temporis Document User Interface"
	version="1.0.0"
	provider-name="Apokalypse Software Corp.">

	<requirements>
		<requirement bundle="com.hogbaysoftware.BKBlocks"/>
		<requirement bundle="com.hogbaysoftware.BKDocuments"/>
		<requirement bundle="com.hogbaysoftware.BKUserInterface"/>
		<requirement bundle="com.hogbaysoftware.BKPreferences"/>
<!-- for Temporis
		<requirement bundle="com.hogbaysoftware.BKRuleEditor"/>
		<requirement bundle="com.apokalypsesoftware.mori.MIDocument"/>
-->
	</requirements>

<!-- for Temporis
	<extension-point id="notetoolbar" protocol="BKToolbarContributerProtocol"/>
	<extension-point id="sourceView.popUpMenu" protocol="BKMenuContributerProtocol"/>
	<extension-point id="entryView.popUpMenu" protocol="BKMenuContributerProtocol"/>
	<extension-point id="textView.popUpMenu" protocol="BKMenuContributerProtocol"/>
	<extension-point id="textView.entryIconPopUpMenu" protocol="BKMenuContributerProtocol"/>
	<extension-point id="titleTextCell.decoratorCell" protocol="BKTextFieldDecoratorCellProtocol"/>
	<extension-point id="nameTextCell.decoratorCell" protocol="BKTextFieldDecoratorCellProtocol"/>

	<extension point="com.hogbaysoftware.BKDocuments.documentLifecycle" class="MIUserInterfaceDocumentLifecycleExtension"/>
	<extension point="com.hogbaysoftware.BKDocuments.documentLifecycle" class="MIEntryMetadataDocumentLifecycleExtension"/>

	<extension point="com.apokalypsesoftware.mori.MIDocument.entryDelegate" class="MIEntryDataRTFDDelegate"/>
	<extension point="com.apokalypsesoftware.mori.MIDocument.entryDelegate" class="MIEntryDataFolderDelegate"/>
	<extension point="com.apokalypsesoftware.mori.MIDocument.entryDelegate" class="MIEntryDataSmartFolderDelegate"/>
	<extension point="com.apokalypsesoftware.mori.MIDocument.entryDelegate" class="MIEntryDataTagFolderDelegate"/>
	<extension point="com.apokalypsesoftware.mori.MIDocument.entryDelegate" class="MIEntryDataTrashDelegate"/>

	<extension point="com.apokalypsesoftware.mori.MIDocument.attributeDescriptionDelegate" class="MIUserInterfaceAttributeDescriptionDelegateExtension"/>

	<extension point="com.apokalypsesoftware.mori.MIUserInterface.sourceView.popUpMenu" class="MIUserInterfaceSourceViewPopUpMenuExtension"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.entryView.popUpMenu" class="MIUserInterfaceEntryViewPopUpMenuExtension"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.textView.popUpMenu" class="MIUserInterfaceTextViewPopUpMenuExtension"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.textView.entryIconPopUpMenu" class="MIUserInterfaceTextViewEntryIconPopUpMenuExtension"/>
	
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.titleTextCell.decoratorCell" class="MITitleTextFieldCellIconDecoratorExtension"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.titleTextCell.decoratorCell" class="MITitleTextFieldCellDescendentsCountDecoratorExtension"/>
-->

<!--
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.titleTextCell.decoratorCell" class="MITitleTextFieldCellLabelDecoratorExtension"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.titleTextCell.decoratorCell" class="MITitleTextFieldCellFlagDecoratorExtension"/>
-->	

<!-- for Temporis
	<extension point="com.hogbaysoftware.BKUserInterface.mainmenu" class="MIUserInterfaceMainMenuExtension"/>
	<extension point="com.hogbaysoftware.BKUserInterface.mainmenu" class="MIInspectorMenuExtension"/>
	<extension point="com.hogbaysoftware.BKUserInterface.dockmenu" class="MIUserInterfaceDockMenuExtension"/>
	<extension point="com.hogbaysoftware.BKUserInterface.maintoolbar" class="MIUserInterfaceToolbarExtensions"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.maintoolbar" class="MIUserInterfaceToolbarExtensions"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.notetoolbar" class="MIUserInterfaceToolbarExtensions"/>
	
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.nameTextCell.decoratorCell" class="MITitleTextFieldCellIconDecoratorExtension"/>

	<extension point="com.hogbaysoftware.BKRuleEditor.rulecontributer" class="MIUserInterfaceRuleContributerExtension"/>
-->
	
<!--	<extension point="com.hogbaysoftware.BKInspectors.inspectorpalette" class="MIGeneralInspectorPaletteContributerExtension"/>
	<extension point="com.hogbaysoftware.BKInspectors.inspectorpalette" class="MICommentsInspectorPaletteContributerExtension"/>
	-->

<!-- for Temporis
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.maintoolbar" class="MIInspectorToolbarExtension"/>
	<extension point="com.apokalypsesoftware.mori.MIUserInterface.notetoolbar" class="MIInspectorToolbarExtension"/>

	<extension point="com.hogbaysoftware.BKUserInterface.maintoolbar" class="MIInspectorToolbarExtension"/>
	<extension point="com.hogbaysoftware.BKPreferences.preferencepane" class="MIUserInterfaceTextEditingPreferencePaneExtension"/>
-->

	<extension point="com.hogbaysoftware.BKPreferences.preferencepane" class="TPUserInterfaceGeneralPreferencePaneExtension"/>
	
</plugin>